apiVersion: spv.no/v2beta1
kind: AzureKeyVaultSecret
metadata:
  name: psql-password 
  namespace: wiki
spec:
  vault:
    name: kv-borealis
    object:
      name: psql-password
      type: secret
  output: 
    secret: 
      name: psql-password
      dataKey: password